shishi_ap_rep_verify_asn1(3)

NAME
shishi_ap_rep_verify_asn1 - API function

SYNOPSIS
#include <shishi.h>

int shishi_ap_rep_verify_asn1(Shishi_ap * ap, Shishi_asn1 aprep);

ARGUMENTS

Shishi_ap * ap
    structure that holds information about AP exchange

Shishi_asn1 aprep
    input AP-REP.

DESCRIPTION
Set the AP-REP in the AP exchange using shishi_ap_rep_set() and verify it using shishi_ap_rep_verify().

RETURN VALUE
Returns SHISHI_OK, SHISHI_APREP_VERIFY_FAILED or an error.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.